Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/FCKeditor.java	(revision 2765)
@@ -70,15 +70,21 @@
 	 *            toolbarSet name
 	 * @throws IllegalArgumentException
-	 *             when instanceName is not valid HTML id
+	 *             if instanceName is not valid HTML id
+	 * @throws NullPointerException
+	 *             if request is a null reference
 	 */
 	public FCKeditor(final HttpServletRequest request,
 			final String instanceName, final String width, final String height,
 			final String toolbarSet, final String value, final String basePath) {
+
+		if (request == null)
+			throw new NullPointerException("the request cannot be null");
 		this.request = request;
+
 		if (Utils.isBlank(instanceName))
 			throw new IllegalArgumentException(
 					"instanceName must be a valid HTML id");
-		else
-			this.instanceName = instanceName;
+		this.instanceName = instanceName;
+
 		if (Utils.isNotBlank(width))
 			this.width = width;
@@ -104,4 +110,8 @@
 	 * @param instanceName
 	 *            unique name
+	 * @throws IllegalArgumentException
+	 *             if instanceName is not valid HTML id
+	 * @throws NullPointerException
+	 *             if request is a null reference
 	 */
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2765)
@@ -32,4 +32,5 @@
 import net.fckeditor.connector.exception.InvalidCurrentFolderException;
 import net.fckeditor.connector.exception.InvalidNewFolderNameException;
+import net.fckeditor.connector.exception.WriteException;
 import net.fckeditor.handlers.Command;
 import net.fckeditor.handlers.ConnectorHandler;
@@ -160,12 +161,8 @@
 				} catch (InvalidCurrentFolderException e) {
 					getResponse = GetResponse.getErrorInvalidCurrentFolder();
-				} catch (SecurityException e) {
-					getResponse = GetResponse.getErrorSecurity();
 				} catch (InvalidNewFolderNameException e) {
 					getResponse = GetResponse.getErrorInvalidFolderName();
 				} catch (FolderAlreadyExistsException e) {
 					getResponse = GetResponse.getErrorFolderAlreadyExists();
-				} catch (Exception e) {
-					getResponse = GetResponse.getErrorUnknown();
 				}
 			}
@@ -190,10 +187,8 @@
 	 * @return
 	 * @throws InvalidCurrentFolderException
-	 * @throws SecurityIssueException
 	 */
 	private GetResponse getFoldersAndOrFiles(final Command command,
 			final ResourceType type, final String currentFolderStr,
-			final String url) throws InvalidCurrentFolderException,
-			SecurityException {
+			final String url) throws InvalidCurrentFolderException {
 		GetResponse getResponse = new GetResponse(command, type,
 				currentFolderStr, url);
@@ -290,12 +285,11 @@
 			} catch (InvalidCurrentFolderException e) {
 				uploadResponse = UploadResponse.getErrorInvalidCurrentFolder();
-			} catch (SecurityException e) {
-				uploadResponse = UploadResponse.getErrorSecurity();
+			} catch (WriteException e) {
+				uploadResponse = UploadResponse.getErrorUnknown();
+				// FIXME what response should be send back?
 			} catch (IOException e) {
 				// TODO handle it maybe better?!
 				uploadResponse = UploadResponse.getErrorUnknown();
 			} catch (FileUploadException e) {
-				uploadResponse = UploadResponse.getErrorUnknown();
-			} catch (Exception e) {
 				uploadResponse = UploadResponse.getErrorUnknown();
 			}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/Command.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/Command.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/Command.java	(revision 2765)
@@ -83,6 +83,5 @@
 	 *             If 'name' is <code>null</code>, empty, or does not exist.
 	 */
-	public static Command valueOf(final String name)
-			throws IllegalArgumentException {
+	public static Command valueOf(final String name) {
 		if (Utils.isEmpty(name))
 			throw new IllegalArgumentException();
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/ThreadLocalData.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/ThreadLocalData.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/ThreadLocalData.java	(revision 2765)
@@ -34,5 +34,5 @@
 	public static void beginRequest(final HttpServletRequest request) {
 		if (request == null)
-			throw new IllegalArgumentException();
+			throw new NullPointerException();
 		ThreadLocalData.request.set(request);
 		ThreadLocalData.context.set(new Context(request));
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/response/UploadResponse.java	(revision 2765)
@@ -93,5 +93,5 @@
 	 *             if the first argument is not an error number (int)
 	 */
-	public UploadResponse(Object... arguments) throws IllegalArgumentException {
+	public UploadResponse(Object... arguments) {
 		if (arguments.length < 1 || arguments.length > 4)
 			throw new IllegalArgumentException(
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/EditorTag.java	(revision 2765)
@@ -128,5 +128,5 @@
 					.getRequest(), instanceName, width, height, toolbarSet,
 					value, basePath);
-		} catch (IllegalArgumentException e) {
+		} catch (Exception e) {
 			throw new JspException(e);
 		}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/UtilsFile.java	(revision 2765)
@@ -28,6 +28,4 @@
 import org.apache.commons.io.FilenameUtils;
 import org.devlib.schmidt.imageinfo.ImageInfo;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
 
 /**
@@ -38,6 +36,4 @@
 public class UtilsFile {
 	
-	private static final Logger logger = LoggerFactory.getLogger(UtilsFile.class);
-
 	/**
 	 * Do a cleanup of the file name to avoid possible problems.<br>
@@ -139,12 +135,10 @@
 	 * @param dir Directory to check/create.
 	 */
-	public static void checkDirAndCreate(File dir) throws SecurityException {
-		if (!dir.exists()) {
+	public static void checkDirAndCreate(File dir) {
+		if (!dir.exists())
 			dir.mkdirs();
-			logger.debug("Dir '{}' successfully created", dir);
-		}
 	}
 
-	public static File getUniqueFile(final File file) throws SecurityException {
+	public static File getUniqueFile(final File file) {
 		if (!file.exists())
 			return file;
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/XHtmlTagTool.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/XHtmlTagTool.java	(revision 2764)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tool/XHtmlTagTool.java	(revision 2765)
@@ -57,5 +57,5 @@
 	public static final String SPACE = " ";
 
-	public XHtmlTagTool(final String name, final String value) throws IllegalArgumentException {
+	public XHtmlTagTool(final String name, final String value) {
 		if (Utils.isEmpty(name))
 			throw new IllegalArgumentException("Parameter 'name' shouldn't be empty!");