Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/connector/Dispatcher.java	(revision 2792)
@@ -117,5 +117,5 @@
 				getResponse = GetResponse.getGetResourcesDisabledError();
 			else if (command.equals(Command.CREATE_FOLDER)
-					&& !RequestCycleHandler.isEnabledForFolderCreation(request))
+					&& !RequestCycleHandler.isCreateFolderEnabled(request))
 				getResponse = GetResponse.getCreateFolderDisabledError();
 			else {
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/handlers/RequestCycleHandler.java	(revision 2792)
@@ -112,8 +112,8 @@
 	 *         {@link UserAction} isn't set.
 	 */
-	public static boolean isEnabledForFolderCreation(
+	public static boolean isCreateFolderEnabled(
 			final HttpServletRequest request) {
 		return (userAction != null && userAction
-				.isEnabledForFolderCreation(request));
+				.isCreateFolderEnabled(request));
 	}
 
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/UserAction.java	(revision 2792)
@@ -64,5 +64,5 @@
 	 *         <code>false</code>
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request);
+	public boolean isCreateFolderEnabled(final HttpServletRequest request);
 
 }
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/DisabledUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/DisabledUserAction.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/DisabledUserAction.java	(revision 2792)
@@ -54,5 +54,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation()
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request) {
+	public boolean isCreateFolderEnabled(final HttpServletRequest request) {
 		return false;
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/EnabledUserAction.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/EnabledUserAction.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/EnabledUserAction.java	(revision 2792)
@@ -54,5 +54,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation()
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request) {
+	public boolean isCreateFolderEnabled(final HttpServletRequest request) {
 		return true;
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/requestcycle/impl/UserActionImpl.java	(revision 2792)
@@ -56,5 +56,5 @@
 	 * @see net.fckeditor.requestcycle.UserAction#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)
 	 */
-	public boolean isEnabledForFolderCreation(final HttpServletRequest request) {
+	public boolean isCreateFolderEnabled(final HttpServletRequest request) {
 		return true;
 	}
Index: FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/CheckTag.java
===================================================================
--- FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/CheckTag.java	(revision 2791)
+++ FCKeditor.Java/trunk/java-core/src/main/java/net/fckeditor/tags/CheckTag.java	(revision 2792)
@@ -116,5 +116,5 @@
 		if (command.equals(FOLDER_CREATION) || command.equals(CREATE_FOLDER)) {
 			//logger.warn("The usage of the FOLDER_CREATION command is deprecated");
-			if (RequestCycleHandler.isEnabledForFolderCreation(request))
+			if (RequestCycleHandler.isCreateFolderEnabled(request))
 				response = lm.getCreateFolderEnabled();
 			else
Index: FCKeditor.Java/trunk/src/changes/changes.xml
===================================================================
--- FCKeditor.Java/trunk/src/changes/changes.xml	(revision 2791)
+++ FCKeditor.Java/trunk/src/changes/changes.xml	(revision 2792)
@@ -17,5 +17,5 @@
 			<action dev="mosipov" type="remove" issue="2580">Deprecate UserActionImpl in favor of EnabledUserAction</action>
 			<action dev="mosipov" type="add" issue="2383">set defaults in default.properties for all interfaces</action>
-			<action dev="mosipov" type="add" issue="2382">add method isEnabledForFolderCreation to UserAction interface</action>
+			<action dev="mosipov" type="add" issue="2382">add method isCreateFolderEnabled to UserAction interface</action>
 			<action dev="mosipov" type="add" issue="2361">Provide interface for locale resolution</action>
 			<!-- <action dev="th-schwarz" type="add" issue="28">Implement Interface for File Browser Connector and Quick Uploader</action> -->
Index: FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2791)
+++ FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2792)
@@ -55,4 +55,4 @@
 |								| suitable one for you.						   |
 *-------------------------------+----------------------------------------------+
-| {{{${ticketUrl}/2382}2382}}	| The <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}UserAction}}>>> interface has now one more method <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html#isEnabledForFolderCreation(javax.servlet.http.HttpServletRequest)}isEnabledForFolderCreation}}>>>. If you have deployed your own implemenation, please adapt it. |
+| {{{${ticketUrl}/2382}2382}}	| The <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}UserAction}}>>> interface has now one more method <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html#isCreateFolderEnabled(javax.servlet.http.HttpServletRequest)}isCreateFolderEnabled}}>>>. If you have deployed your own implementation, please adapt it. |
 *-------------------------------+----------------------------------------------+