Index: FCKeditor.Java/trunk/src/changes/changes.xml
===================================================================
--- FCKeditor.Java/trunk/src/changes/changes.xml	(revision 2802)
+++ FCKeditor.Java/trunk/src/changes/changes.xml	(revision 2803)
@@ -8,5 +8,5 @@
 		<release version="2.5-SNAPSHOT" date="in SVN" description="Decoupling of the server-side storage, localization of user responses and other minor enhancements.">
 			<!-- <action type="update" issue="2581">Rename UserPathBuilder interface to something more appropriate</action> -->
-			<action dev="mosipov" type="add" issue="2743">Add getUserFilesAbsolutePath to UserPathsBuilder interface</action>
+			<action dev="mosipov" type="add" issue="2743">Add getUserFilesAbsolutePath to UserPathBuilder interface</action>
 			<action dev="mosipov" type="remove" issue="2618">Extract ImageInfo from java-core.jar</action>
 			<action dev="mosipov" type="fix" issue="2608">Removing carriage return invalidate Javascript</action>
Index: FCKeditor.Java/trunk/src/site/apt/ext_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2802)
+++ FCKeditor.Java/trunk/src/site/apt/ext_overview.apt	(revision 2803)
@@ -36,5 +36,5 @@
     File Browser.
 
-  * <<UserPathsBuilder>>: Enables you to construct a user-dependent file path.
+  * <<UserPathBuilder>>: Enables you to construct a user-dependent file path.
 
   * <<Localization>>: Enables you to localize any message returned by tags and
Index: FCKeditor.Java/trunk/src/site/apt/properties.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2802)
+++ FCKeditor.Java/trunk/src/site/apt/properties.apt	(revision 2803)
@@ -123,9 +123,9 @@
 |								|											|							| retrieved from the server. Prepend the domain		|
 |								|											|							| name if you want to have the full URL. For more	|
-|								|											|							| details see {{{userpathsbuilder.html}here}}.		|
+|								|											|							| details see {{{userpathbuilder.html}here}}.		|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
 | connector.userFilesAbsolutePath| /userfiles								| any path					| Indicates the system path under which files can	|
 |								|											|							| be stored on the backend. For more details see	|
-|								|											|							| {{{userpathsbuilder.html}here}}.					|
+|								|											|							| {{{userpathbuilder.html}here}}.					|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
 | connector.forceSingleExtension| true										| true, false (boolean)		| Indicates whether filenames with multiple 		|
@@ -145,5 +145,5 @@
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
 | connector.userPathBuilderImpl | {{{java-core/apidocs/net/fckeditor/requestcycle/impl/ContextPathBuilder.html}<<<net.fckeditor.requestcycle. | any fully-qualified class	| Provides a custom function for constructing a user-dependent <<<UserFilesPath>>> for the File |
-|								| impl.ContextPathBuilder>>>}}				| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{userpathsbuilder.html}here}}. |
+|								| impl.ContextPathBuilder>>>}}				| name of a valid {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<UserPathBuilder>>>}} | Browser Connector. For more details see {{{userpathbuilder.html}here}}. |
 |								|											| implementation			|													|
 *-------------------------------+-------------------------------------------+---------------------------+---------------------------------------------------+
Index: FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2802)
+++ FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2803)
@@ -36,5 +36,5 @@
 || Ticket						|| Remark									  ||
 *-------------------------------+----------------------------------------------+
-| {{{${ticketUrl}/2743}2743}}	| Add <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserPathsBuilder.html#getUserFilesAbsolutePath(javax.servlet.http.HttpServletRequest)}getUserFilesAbsolutePath}}>>> to <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserPathsBuilder.html}UserPathsBuilder}}>>> interface, implement this method in your builder too. |
+| {{{${ticketUrl}/2743}2743}}	| Add <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html#getUserFilesAbsolutePath(javax.servlet.http.HttpServletRequest)}getUserFilesAbsolutePath}}>>> to <<<{{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}UserPathBuilder}}>>> interface, implement this method in your builder too. |
 *-------------------------------+----------------------------------------------+
 | -								| The features/commands <<<FolderCreation>>> and <<<FileBrowsing>>> in the {{{java-core/tagreference.html#FCK:check}CheckTag}} have been deprecated. |
Index: FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 2803)
+++ FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 2803)
@@ -0,0 +1,112 @@
+~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
+~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
+~~
+~~ == BEGIN LICENSE ==
+~~
+~~ Licensed under the terms of any of the following licenses at your
+~~ choice:
+~~
+~~  - GNU General Public License Version 2 or later (the "GPL")
+~~    http://www.gnu.org/licenses/gpl.html
+~~
+~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
+~~    http://www.gnu.org/licenses/lgpl.html
+~~
+~~  - Mozilla Public License Version 1.1 or later (the "MPL")
+~~    http://www.mozilla.org/MPL/MPL-1.1.html
+~~
+~~ == END LICENSE ==
+~~ @version $Id: connector.apt 2510 2008-10-01 18:35:09Z mosipov $
+                        ------------------------------
+                           File Browser Connector
+                        ------------------------------
+
+Connector activation
+
+  The Connector is not mandatory. If you do <not> plan to provide file
+  interaction, you can skip this section.
+
+    [Hint:] The Connector by default is not present and disabled for security
+            reasons!
+
+  It takes two steps to enable it:
+
+  [[1]]  Declare the ConnectorServlet in your <<<web.xml>>>:
+
++------------------------------------------------------------------------------+
+  <web-app version="2.4">
+    ...
+    <servlet>
+      <servlet-name>Connector</servlet-name>
+        <servlet-class>
+          net.fckeditor.connector.ConnectorServlet
+      </servlet-class>
+      <load-on-startup>1</load-on-startup>
+    </servlet>
+    ...
+    <servlet-mapping>
+      <servlet-name>Connector</servlet-name>
+      <url-pattern>
+        /fckeditor/editor/filemanager/connectors/*
+      </url-pattern>
+    </servlet-mapping>
+    ...
+  </web-app>
++------------------------------------------------------------------------------+
+
+  Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
+  The Connector is now declared but <still> disabled. The response is going to
+  be a localized error message.
+
+  [[2]] Create a <<<fckeditor.properties>>> file in your classpath and add:
+
++------------------------------------------------------------------------------+
+  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
++------------------------------------------------------------------------------+
+
+  []
+
+  The Connector is now enabled.
+
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+Extending the Connector
+
+    [Hint:]  Skip this section if you are not interested in extending the
+             Connector.
+
+  The basic idea of extending the Connector is to provide interfaces for
+  user-dependent interactions which can be implemented by the web application
+  developer. All methods are passed the current <<<HttpServletRequest>>> instance
+  in order to retrieve request and/or session attributes to assemble a user-specific
+  return value. We intentionally do not impose any constraints or indorse any
+  particular implementation approach to give you the freedom to implement the
+  interfaces the way it fits best in your environment.
+
+  Supply the fully-qualified class names of the implementing classes as described
+  in the {{{properties.html}configuration settings}}.
+
+  Right now, the integration pack provides two interfaces to extend the Connector:
+
+  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
+
+        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
+        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
+        <<</userfiles/johndoe>>>.
+
+  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
+
+        There are two methods to authorize users to do file-based actions:
+
+        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
+          the user's ability to browse files on the server.
+
+        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
+          the user's ability to upload files to the server.
+
+        []
+
+        For those who want to enable all users to browse and upload files, there 
+        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
+
+  []
+  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: FCKeditor.Java/trunk/src/site/apt/userpathsbuilder.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/userpathsbuilder.apt	(revision 2802)
+++ 	(revision )
@@ -1,112 +1,0 @@
-~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~
-~~ == BEGIN LICENSE ==
-~~
-~~ Licensed under the terms of any of the following licenses at your
-~~ choice:
-~~
-~~  - GNU General Public License Version 2 or later (the "GPL")
-~~    http://www.gnu.org/licenses/gpl.html
-~~
-~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
-~~    http://www.gnu.org/licenses/lgpl.html
-~~
-~~  - Mozilla Public License Version 1.1 or later (the "MPL")
-~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~
-~~ == END LICENSE ==
-~~ @version $Id: connector.apt 2510 2008-10-01 18:35:09Z mosipov $
-                        ------------------------------
-                           File Browser Connector
-                        ------------------------------
-
-Connector activation
-
-  The Connector is not mandatory. If you do <not> plan to provide file
-  interaction, you can skip this section.
-
-    [Hint:] The Connector by default is not present and disabled for security
-            reasons!
-
-  It takes two steps to enable it:
-
-  [[1]]  Declare the ConnectorServlet in your <<<web.xml>>>:
-
-+------------------------------------------------------------------------------+
-  <web-app version="2.4">
-    ...
-    <servlet>
-      <servlet-name>Connector</servlet-name>
-        <servlet-class>
-          net.fckeditor.connector.ConnectorServlet
-      </servlet-class>
-      <load-on-startup>1</load-on-startup>
-    </servlet>
-    ...
-    <servlet-mapping>
-      <servlet-name>Connector</servlet-name>
-      <url-pattern>
-        /fckeditor/editor/filemanager/connectors/*
-      </url-pattern>
-    </servlet-mapping>
-    ...
-  </web-app>
-+------------------------------------------------------------------------------+
-
-  Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
-  The Connector is now declared but <still> disabled. The response is going to
-  be a localized error message.
-
-  [[2]] Create a <<<fckeditor.properties>>> file in your classpath and add:
-
-+------------------------------------------------------------------------------+
-  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
-+------------------------------------------------------------------------------+
-
-  []
-
-  The Connector is now enabled.
-
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-Extending the Connector
-
-    [Hint:]  Skip this section if you are not interested in extending the
-             Connector.
-
-  The basic idea of extending the Connector is to provide interfaces for
-  user-dependent interactions which can be implemented by the web application
-  developer. All methods are passed the current <<<HttpServletRequest>>> instance
-  in order to retrieve request and/or session attributes to assemble a user-specific
-  return value. We intentionally do not impose any constraints or indorse any
-  particular implementation approach to give you the freedom to implement the
-  interfaces the way it fits best in your environment.
-
-  Supply the fully-qualified class names of the implementing classes as described
-  in the {{{properties.html}configuration settings}}.
-
-  Right now, the integration pack provides two interfaces to extend the Connector:
-
-  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
-
-        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
-        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
-        <<</userfiles/johndoe>>>.
-
-  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
-
-        There are two methods to authorize users to do file-based actions:
-
-        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
-          the user's ability to browse files on the server.
-
-        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
-          the user's ability to upload files to the server.
-
-        []
-
-        For those who want to enable all users to browse and upload files, there 
-        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
-
-  []
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2802)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2803)
@@ -37,5 +37,5 @@
 			<item name="Connector" href="/connector.html" />
 			<item name="UserAction" href="/useraction.html" />
-			<item name="UserPathsBuilder" href="/userpathsbuilder.html" />
+			<item name="UserPathBuilder" href="/userpathbuilder.html" />
 			<item name="Localization" href="/localization.html" />
 		</menu>