Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2805)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2806)
@@ -24,5 +24,5 @@
 Localization
 
-  The interation pack offers you the capability to localize any string responded
+  The integration pack offers you the capability to localize any string responded
   to the user on a global basis and on a per-locale basis dependending on the
   deployed framework/system (Request, JSTL, Struts, Spring, and other).
Index: FCKeditor.Java/trunk/src/site/apt/useraction.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2805)
+++ FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2806)
@@ -17,96 +17,82 @@
 ~~
 ~~ == END LICENSE ==
-~~ @version $Id: connector.apt 2510 2008-10-01 18:35:09Z mosipov $
-                        ------------------------------
-                           File Browser Connector
-                        ------------------------------
+~~ @version $Id$
+				-------------------------
+					UserAction Interface
+				-------------------------
 
-Connector activation
+UserAction
 
-  The Connector is not mandatory. If you do <not> plan to provide file
-  interaction, you can skip this section.
+  The integration pack offers you to control every command execution sent by a 
+  user through the File Browser.
+  
+  The Server Side Integration defines five different types of commands which are
+  mapped to three internal commands:
+  
+  * <<<GetFolders>>> and <<<GetFoldersAndFiles>>> to <<<GetResources>>>
+  
+  * <<<CreateFolder>>> to <<<CreateFolder>>>
+  
+  * <<<FileUpload>>> and <<<QuickUpload>>> to <<<FileUpload>>>
+  
+  []
 
-    [Hint:] The Connector by default is not present and disabled for security
-            reasons!
+  Read on to see how you can refit the system to your needs:
 
-  It takes two steps to enable it:
+* The interface
 
-  [[1]]  Declare the ConnectorServlet in your <<<web.xml>>>:
+  The interface {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
+  contains three method of which each one is passed the current <<<HttpServletRequest>>>
+  instance on every request:
 
-+------------------------------------------------------------------------------+
-  <web-app version="2.4">
-    ...
-    <servlet>
-      <servlet-name>Connector</servlet-name>
-        <servlet-class>
-          net.fckeditor.connector.ConnectorServlet
-      </servlet-class>
-      <load-on-startup>1</load-on-startup>
-    </servlet>
-    ...
-    <servlet-mapping>
-      <servlet-name>Connector</servlet-name>
-      <url-pattern>
-        /fckeditor/editor/filemanager/connectors/*
-      </url-pattern>
-    </servlet-mapping>
-    ...
-  </web-app>
-+------------------------------------------------------------------------------+
+  * <<<boolean isCreateFolderEnabled(final HttpServletRequest request)>>>:
+    It determines wether the current request/user is enabled to create folders
+    on the server.
 
-  Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
-  The Connector is now declared but <still> disabled. The response is going to
-  be a localized error message.
+  * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest request)>>>:
+    It determines wether the current request/user is enabled to retrieve resources
+    on the server.\
+    <<Attention>>: This method maps to the <<<GetResources>>> but remains
+    unrenamed due to compatibility reasons. It may be renamed to
+    <<<isGetResourcesEnabled>>> in future versions.
 
-  [[2]] Create a <<<fckeditor.properties>>> file in your classpath and add:
-
-+------------------------------------------------------------------------------+
-  connector.userActionImpl=net.fckeditor.requestcycle.impl.EnabledUserAction
-+------------------------------------------------------------------------------+
+  * <<<boolean isEnabledForFileUpload(final HttpServletRequest request)>>>:
+    It determines wether the current request/user is enabled to upload files
+    to the server.\
+    <<Attention>>: This method maps to the <<<FileUpload>>> but remains
+    unrenamed due to compatibility reasons. It may be renamed to
+    <<<isFileUploadEnabled>>> in future versions.
 
   []
 
-  The Connector is now enabled.
+** Choosing an implemenation
 
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-Extending the Connector
+  You have to choose an inplemenation, either an existing or a custom one. If no
+  existing implemention suits your need, create your own. Implement the interface
+  and resolve the locale the way you want.
 
-    [Hint:]  Skip this section if you are not interested in extending the
-             Connector.
+  Existing, ready-to-go implementations:
 
-  The basic idea of extending the Connector is to provide interfaces for
-  user-dependent interactions which can be implemented by the web application
-  developer. All methods are passed the current <<<HttpServletRequest>>> instance
-  in order to retrieve request and/or session attributes to assemble a user-specific
-  return value. We intentionally do not impose any constraints or indorse any
-  particular implementation approach to give you the freedom to implement the
-  interfaces the way it fits best in your environment.
+   * {{{java-core/apidocs/net/fckeditor/requestcycle/impl/DisabledUserAction.html}<<<net.fckeditor.requestcycle.impl.DisabledUserAction>>>}} (default):
+     It always returns <<<false>>> for every method.
 
-  Supply the fully-qualified class names of the implementing classes as described
-  in the {{{properties.html}configuration settings}}.
+   * {{{java-core/apidocs/net/fckeditor/requestcycle/impl/EnabledUserAction.html}<<<net.fckeditor.requestcycle.impl.EnabledUserAction>>>}}:
+     It always returns <<<true>>> for every method.
 
-  Right now, the integration pack provides two interfaces to extend the Connector:
+   []
 
-  [[1]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserPathBuilder.html}<<<net.fckeditor.requestcycle.UserPathBuilder>>>}}
+** Declaring an implementation
 
-        This interface consists only of one method <<<String getUserFilesPath(final HttpServletRequest)>>>.
-        You are able to construct a user-dependent <<<UserFilesPath>>>, e.g.
-        <<</userfiles/johndoe>>>.
+   After your have chosen your desired implemenation, you have to declare it.
+   Put the fully-qualified class name of the implementation in your
+   <<<fckeditor.properies>>>:
 
-  [[2]] {{{java-core/apidocs/net/fckeditor/requestcycle/UserAction.html}<<<net.fckeditor.requestcycle.UserAction>>>}}
++------------------------------------------------------------------------------+
+  connector.userActionImpl=<desired implementation>
++------------------------------------------------------------------------------+
 
-        There are two methods to authorize users to do file-based actions:
+* User response
 
-        * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>> denoting
-          the user's ability to browse files on the server.
-
-        * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>> denoting
-          the user's ability to upload files to the server.
-
-        []
-
-        For those who want to enable all users to browse and upload files, there 
-        is a ready-to-use implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>>.
-
-  []
-  >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+  The system will respond messages to the user as they may be necessary. You can
+  localized every one of them. See {{{properties.html}Configuration}} and 
+  {{{localization.html}Localization}} for more details.