Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2806)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2809)
@@ -19,5 +19,5 @@
 ~~ @version $Id$
 				-------------------------
-					Localization
+					LocaleResolver Interface
 				-------------------------
 
@@ -25,8 +25,16 @@
 
   The integration pack offers you the capability to localize any string responded
-  to the user on a global basis and on a per-locale basis dependending on the
+  to the user on a global basis and on a per-locale basis depending on the
   deployed framework/system (Request, JSTL, Struts, Spring, and other).
 
   Read on to see how you can refit the system to your needs:
+
+* Rationale
+
+  Interaction with the File Browser may cause messages responded to the user
+  about the state of the system from the view of the user. The messages are 
+  hard-coded in English which is a big annoyance in an international deployment.
+  You can now change all of them to other defaults and localize to an arbitrary
+  locale of your choice.
 
 * The interface
@@ -35,16 +43,14 @@
   contains only one method:
 
-  * <<<Locale resolveLocale(final HttpServletRequest request)>>>: On every request
+  * <<<Locale resolveLocale(final HttpServletRequest)>>>: On every request
     it will passed the current <<<HttpServletRequest>>> instance. It resolves the
-    user locale according to the underlying system or returns <<<null>>> if it 
+    user locale according to the underlying system or returns <<<null>>> if it
     can't resolve the locale.
 
   []
 
-** Choosing an implemenation
+** Choosing an implementation
 
-  You have to choose an inplemenation, either an existing or a custom one. If no
-  existing implemention suits your need, create your own. Implement the interface
-  and resolve the locale the way you want.
+  You have to choose an implementation, either an existing or a custom one.
 
   Existing, ready-to-go implementations:
@@ -52,5 +58,5 @@
    * {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl.AcceptLanguageHeaderResolver>>>}} (default):
      It retrieves the first locale in the HTTP <<<Accept-Language>>> header if
-     availabe.
+     available.
 
    * {{{java-core/apidocs/net/fckeditor/localization/impl/JstlResolver.html}<<<net.fckeditor.localization.impl.JstlResolver>>>}}:
@@ -60,9 +66,12 @@
    []
 
+  If no existing implemention suits your needs, create your own. Implement the
+  interface and resolve the locale the way you want.
+
 ** Declaring an implementation
 
-   After your have chosen your desired implemenation, you have to declare it.
+   After your have chosen your desired implementation, you have to declare it.
    Put the fully-qualified class name of the implementation in your
-   <<<fckeditor.properies>>>:
+   <<<fckeditor.properties>>>:
 
 +------------------------------------------------------------------------------+
Index: FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2806)
+++ FCKeditor.Java/trunk/src/site/apt/upgrade_notes.apt.vm	(revision 2809)
@@ -50,5 +50,5 @@
 *-------------------------------+----------------------------------------------+
 | {{{${ticketUrl}/2582}2582}}	| Path handling has been aligned to other connector implementations. The FullUrl property is gone ({{{faq.html#context-fullurl}FAQ}}). the UserFilesPath has slightly changed |
-|								| semantics and an UserFilesAbsolutePath property has beeen introduced. Please check the {{{properties.html}Configuration}} for more details. |
+|								| semantics and an UserFilesAbsolutePath property has been introduced. Please check the {{{properties.html}Configuration}} for more details. |
 *-------------------------------+----------------------------------------------+
 | {{{${ticketUrl}/2580}2580}}	| The implementation <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/UserActionImpl.html}UserActionImpl}}>>> has been deprecated in favor of <<<{{{java-core/apidocs/net/fckeditor/requestcycle/impl/EnabledUserAction.html}EnabledUserAction}}>>>. Both classes are functionally equal. |
Index: FCKeditor.Java/trunk/src/site/apt/useraction.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2806)
+++ FCKeditor.Java/trunk/src/site/apt/useraction.apt	(revision 2809)
@@ -22,21 +22,32 @@
 				-------------------------
 
-UserAction
+User Action
 
-  The integration pack offers you to control every command execution sent by a 
-  user through the File Browser.
-  
-  The Server Side Integration defines five different types of commands which are
+  The integration pack offers you control over every command sent by a user
+  through the File Browser.
+
+  Read on to see how you can refit the system to your needs:
+
+* Rationale
+
+  Throughout the life cycle of the File Browser, several commands are sent with
+  payload to retrieve and create objects on the server. The Connector Servlet
+  receives the commands and responds as necessary to them. You are now able to
+  intercept the commands and tell the Connector Servlet if the current request
+  is actually enabled to perform this command on the server.\
+  The {{{http://docs.fckeditor.net/FCKeditor_2.x/Developers_Guide/Server_Side_Integration#The_Commands}Server Side Integration}}
+  defines five different types of commands for the File Browser which are
   mapped to three internal commands:
-  
+
   * <<<GetFolders>>> and <<<GetFoldersAndFiles>>> to <<<GetResources>>>
-  
+
   * <<<CreateFolder>>> to <<<CreateFolder>>>
-  
+
   * <<<FileUpload>>> and <<<QuickUpload>>> to <<<FileUpload>>>
-  
+
   []
 
-  Read on to see how you can refit the system to your needs:
+  Based on these commands you can mandate globally and/or on per-user basis which
+  commands will be executed.
 
 * The interface
@@ -46,10 +57,10 @@
   instance on every request:
 
-  * <<<boolean isCreateFolderEnabled(final HttpServletRequest request)>>>:
-    It determines wether the current request/user is enabled to create folders
+  * <<<boolean isCreateFolderEnabled(final HttpServletRequest)>>>:
+    Determines whether the current request/user is enabled to create folders
     on the server.
 
-  * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest request)>>>:
-    It determines wether the current request/user is enabled to retrieve resources
+  * <<<boolean isEnabledForFileBrowsing(final HttpServletRequest)>>>:
+    Determines whether the current request/user is enabled to retrieve resources
     on the server.\
     <<Attention>>: This method maps to the <<<GetResources>>> but remains
@@ -57,6 +68,6 @@
     <<<isGetResourcesEnabled>>> in future versions.
 
-  * <<<boolean isEnabledForFileUpload(final HttpServletRequest request)>>>:
-    It determines wether the current request/user is enabled to upload files
+  * <<<boolean isEnabledForFileUpload(final HttpServletRequest)>>>:
+    Determines whether the current request/user is enabled to upload files
     to the server.\
     <<Attention>>: This method maps to the <<<FileUpload>>> but remains
@@ -66,9 +77,7 @@
   []
 
-** Choosing an implemenation
+** Choosing an implementation
 
-  You have to choose an inplemenation, either an existing or a custom one. If no
-  existing implemention suits your need, create your own. Implement the interface
-  and resolve the locale the way you want.
+  You have to choose an implementation, either an existing or a custom one.
 
   Existing, ready-to-go implementations:
@@ -82,9 +91,12 @@
    []
 
+  If no existing implementation suits your needs, create your own. Implement the
+  interface and resolve the locale the way you want.
+
 ** Declaring an implementation
 
-   After your have chosen your desired implemenation, you have to declare it.
+   After your have chosen your desired implementation, you have to declare it.
    Put the fully-qualified class name of the implementation in your
-   <<<fckeditor.properies>>>:
+   <<<fckeditor.properties>>>:
 
 +------------------------------------------------------------------------------+
@@ -95,4 +107,4 @@
 
   The system will respond messages to the user as they may be necessary. You can
-  localized every one of them. See {{{properties.html}Configuration}} and 
+  localized every one of them. See {{{properties.html}Configuration}} and
   {{{localization.html}Localization}} for more details.