Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2812)
@@ -37,5 +37,5 @@
   * <<<Locale resolveLocale(final HttpServletRequest request)>>>: On every request
     it will passed the current <<<HttpServletRequest>>> instance. It resolves the
-    user locale according to the underlying system or returns <<<null>>> if it 
+    user locale according to the underlying system or returns <<<null>>> if it
     can't resolve the locale.
 
Index: FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/connector_servlet.apt	(revision 2812)
@@ -27,5 +27,5 @@
   interaction, you can skip this section.
 
-    [Hint:] The Connector Servlet has to be declared and will be disabled by default 
+    [Hint:] The Connector Servlet has to be declared and will be disabled by default
 	        for security reasons!
 
@@ -56,5 +56,5 @@
 
   Assuming you installed the editor in the <<</fckeditor>>> folder in your webapp.\
-  The Connector Servlet is now declared but <still> disabled. The response is 
+  The Connector Servlet is now declared but <still> disabled. The response is
   going to be a localized error message.
 
Index: FCKeditor.Java/trunk/src/site/apt/download.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/download.apt.vm	(revision 2812)
@@ -19,5 +19,5 @@
 ~~ @version $Id: installation.apt.vm 2162 2008-07-03 18:11:08Z mosipov $
                         ------------------------------
-                                Download
+										Download
                         ------------------------------
 
Index: FCKeditor.Java/trunk/src/site/apt/index.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/index.apt	(revision 2812)
@@ -31,15 +31,14 @@
   minutes without juggling with cryptic JSP scriptlets or any JavaScript API.
   Although it's targeted to be used as a tag library within JSPs, it's a snap
-  within a template engine like {{{http://velocity.apache.org}Velocity}} or 
+  within a template engine like {{{http://velocity.apache.org}Velocity}} or
   {{{http://freemarker.org}FreeMarker}} too.
 
 * Documentation Guideline
-  
+
   This documentation is straight forward to use!\
   Read the {{{changes-report.html}Changes}} in this release. Go over
   and checkout the {{{demo.html}Demo}} and if you are ready to deploy the FCKeditor
-  in your webapp, {{{download.html}download}} it, follow the {{{installation.html}Installation 
-Guide}}
-  and the {{{int_overview.html}Integration Overview}}.
+  in your webapp, {{{download.html}download}} it, follow the {{{installation.html}Installation
+  Guide}} and the {{{int_overview.html}Integration Overview}}.
 
 Call To Action
@@ -47,6 +46,6 @@
   Help us improve the FCKeditor.Java Integration!
 
-  If you think this documentation, the Java library or anything else is lacking 
-  something, contains errors, or can be improved do <not> hesitate to open a 
-  thread in our {{{http://www.fckeditor.net/forums/}forums}} or file a ticket in 
+  If you think this documentation, the Java library or anything else is lacking
+  something, contains errors, or can be improved do <not> hesitate to open a
+  thread in our {{{http://www.fckeditor.net/forums/}forums}} or file a ticket in
   our {{{issue-tracking.html}issue tracker}}.
Index: FCKeditor.Java/trunk/src/site/apt/installation.apt.vm
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/installation.apt.vm	(revision 2812)
@@ -20,5 +20,5 @@
                         ------------------------------
                                 Installation
-                        ------------------------------
+						------------------------------
 
 Installation Guide
Index: FCKeditor.Java/trunk/src/site/apt/int_overview.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/int_overview.apt	(revision 2812)
@@ -28,7 +28,7 @@
   * <<JSP tag library>>: Easy integration of the FCKeditor in your JSPs.
 
-  * <<Connector Servlet>>: A servlet to manage resources like images, documents, and other
-    files.
-    
+  * <<Connector Servlet>>: A servlet to manage resources like images, documents,
+    and other files.
+
   * <<Velocity/FreeMarker>>: This library is suitable to be integrated into a
     template engine.
Index: FCKeditor.Java/trunk/src/site/apt/localization.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/localization.apt	(revision 2812)
@@ -33,5 +33,5 @@
 
   Interaction with the File Browser may cause messages responded to the user
-  about the state of the system from the view of the user. The messages are 
+  about the state of the system from the view of the user. The messages are
   hard-coded in English which is a big annoyance in an international deployment.
   You can now change all of them to other defaults and localize to an arbitrary
Index: FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 2811)
+++ FCKeditor.Java/trunk/src/site/apt/userpathbuilder.apt	(revision 2812)
@@ -18,7 +18,7 @@
 ~~ == END LICENSE ==
 ~~ @version $Id$
-				-------------------------
+				--------------------------------
 					UserPathBuilder Interface
-				-------------------------
+				--------------------------------
 
 UserPath Builder
@@ -31,22 +31,5 @@
 * Rationale
 
-  Throughout the life cycle of the File Browser, several commands are sent with
-  payload to retrieve and create objects on the server. The Connector Servlet
-  receives the commands and responds as necessary to them. You are now able to
-  intercept the commands and tell the Connector Servlet if the current request
-  is actually enabled to perform this command on the server.\
-  The {{{http://docs.fckeditor.net/FCKeditor_2.x/Developers_Guide/Server_Side_Integration#The_Commands}Server Side Integration}}
-  defines five different types of commands for the File Browser which are
-  mapped to three internal commands:
-
-  * <<<GetFolders>>> and <<<GetFoldersAndFiles>>> to <<<GetResources>>>
-
-  * <<<CreateFolder>>> to <<<CreateFolder>>>
-  * <<<FileUpload>>> and <<<QuickUpload>>> to <<<FileUpload>>>
-
-  []
-
-  Based on these commands you can mandate globally and/or on per-user basis which
-  commands will be executed.
+  aaa
 
 * The interface
Index: FCKeditor.Java/trunk/src/site/apt/whatsnew.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/whatsnew.apt	(revision 2811)
+++ 	(revision )
@@ -1,68 +1,0 @@
-~~ FCKeditor - The text editor for Internet - http://www.fckeditor.net
-~~ Copyright (C) 2003-2008 Frederico Caldeira Knabben
-~~
-~~ == BEGIN LICENSE ==
-~~
-~~ Licensed under the terms of any of the following licenses at your
-~~ choice:
-~~
-~~  - GNU General Public License Version 2 or later (the "GPL")
-~~    http://www.gnu.org/licenses/gpl.html
-~~
-~~  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
-~~    http://www.gnu.org/licenses/lgpl.html
-~~
-~~  - Mozilla Public License Version 1.1 or later (the "MPL")
-~~    http://www.mozilla.org/MPL/MPL-1.1.html
-~~
-~~ == END LICENSE ==
-~~ @version $Id$
-                        ------------------------------
-								What's New
-                        ------------------------------
-
-What's New
-
-  The FCKeditor.Java integration version 2.4 is a complete rewrite of the last
-  version.\
-  This is just a short overview of the changes since version 2.3:
-
-  * The integration pack is now managed by {{{http://maven.apache.org}Maven 2}}
-    with complete documentation and reports.
-
-  * Automatic creation of release distribution files (assemblies).
-
-  * The library runs now from Servlet 2.4/JSP 2.0 and above.
-
-  * A complete structure and package review has been done. Base package moved from
-    <<<com.fredck.FCKeditor>>> to <<<net.fckeditor>>>.
-
-  * The {{{http://dev.fckeditor.net/wiki/ServerSideStatus}Server Side Integration}}
-    requirements are completely fulfilled.
-
-  * The SimpleUploaderServlet functionality has been merged into the ConnectorServlet.
-
-  * The JSP tag library has been completely restructured.
-
-  * A more complete and reliable browser detection code.
-
-  * New configuration handling:
-
-    * No configuration settings in the <<<web.xml>>> anymore.
-
-    * The configuration properties can be set in a common properties file or
-      programmatically.
-
-    * 'Convention over conversion', just reset the properties which don't meet your
-      requirements.
-
-  * Introduced the state-of-the-art {{{http://www.slf4j.org}SLF4J}} logging facade.
-
-  * Pluggable interfaces have been introduced to extend the ConnectorServlet. This
-    system provides session or request-based functionality.
-
-  * JUnit test coverage on viable classes.
-
-  * Clean and safe parameter handling and abstraction.
-
-  * A lot of code performance improvements and tweaks.