Index: FCKeditor.Java/trunk/src/site/apt/connector.apt
===================================================================
--- FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2812)
+++ FCKeditor.Java/trunk/src/site/apt/connector.apt	(revision 2815)
@@ -19,12 +19,10 @@
 ~~ @version $Id$
 				-------------------------
-					Connector
+					Connector Interface
 				-------------------------
 
 Connector
 
-  The interation pack offers you the capability to localize any string responded
-  to the user on a global basis and on a per-locale basis dependending on the
-  deployed framework/system (Request, JSTL, Struts, Spring, and other).
+  Bla bla..
 
   Read on to see how you can refit the system to your needs:
@@ -32,51 +30,38 @@
 * The interface
 
-  The interface {{{java-core/apidocs/net/fckeditor/localization/LocaleResolver.html}<<<net.fckeditor.localization.LocaleResolver>>>}}
-  contains only one method:
-
-  * <<<Locale resolveLocale(final HttpServletRequest request)>>>: On every request
-    it will passed the current <<<HttpServletRequest>>> instance. It resolves the
-    user locale according to the underlying system or returns <<<null>>> if it
-    can't resolve the locale.
-
-  []
+  Consult the JavaDocs of the interface {{{java-core/apidocs/net/fckeditor/Connector/Connector.html}<<<net.fckeditor.connector.Connector>>>}}
+  to see how it works.
 
 ** Choosing an implemenation
 
-  You have to choose an inplemenation, either an existing or a custom one. If no
-  existing implemention suits your need, create your own. Implement the interface
-  and resolve the locale the way you want.
+    You have to choose an implementation, either an existing or a custom one.
 
   Existing, ready-to-go implementations:
 
-   * {{{java-core/apidocs/net/fckeditor/localization/impl/AcceptLanguageHeaderResolver.html}<<<net.fckeditor.localization.impl.AcceptLanguageHeaderResolver>>>}} (default):
-     It retrieves the first locale in the HTTP <<<Accept-Language>>> header if
-     availabe.
+   * {{{java-core/apidocs/net/fckeditor/connector/impl/ContextConnector.html}<<<net.fckeditor.connector.impl.ContextConnector>>>}} (default):
+     bla bla..
 
-   * {{{java-core/apidocs/net/fckeditor/localization/impl/JstlResolver.html}<<<net.fckeditor.localization.impl.JstlResolver>>>}}:
-     The user locale will be retrieved from the session set by JSTL's <<<fmt>>>
-     tag or similar.
+   * {{{java-core/apidocs/net/fckeditor/connector/impl/LocalConnector.html}<<<net.fckeditor.connector.impl.LocalConnector>>>}}:
+     bla bla..
+
+   * {{{java-core/apidocs/net/fckeditor/connector/impl/AbstracLocalFileSystemConnector.html}<<<net.fckeditor.connector.impl.AbstracLocalFileSystemConnector>>>}} (abstract class):
+     bla bla..
 
    []
 
+  If no existing implementation suits your needs, create your own. Implement the
+  interface and resolve the locale the way you want.
+
 ** Declaring an implementation
 
-   After your have chosen your desired implemenation, you have to declare it.
+   After your have chosen your desired implementation, you have to declare it.
    Put the fully-qualified class name of the implementation in your
-   <<<fckeditor.properies>>>:
+   <<<fckeditor.properties>>>:
 
 +------------------------------------------------------------------------------+
-  localization.localeResolverImpl=<desired implementation>
+  connector.impl=<desired implementation>
 +------------------------------------------------------------------------------+
 
-* The strings
+* Configuration
 
-    [Hint:] The resolver system is fail-safe concerning localized string retrieval.
-            This means that if a localized string cannot be found, the default
-            string will be used.
-
-  Each responded string can be localized on a global basis and on a per-locale basis.
-  Put your globally localized strings in your <<<fckeditor.properties>>> and your
-  per-locale localized strings in a <<<fckeditor_\<locale\>.properties>>> file.
-  See the Localization chapter of the {{{properties.html}Configuration}} for a
-  string reference.
+  lala